Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlFormRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlFormRendererBase

    public class HtmlFormRendererBase

extends HtmlRenderer

Version:
  $Revision: 673826 $ $Date: 2008-07-03 16:43:52 -0500 (Thu, 03 Jul 2008) $
Author:
  Manfred Geiler (latest modification by $Author: skitching $), Thomas Spiegl, Anton Koinov

Constructor Summary
`HtmlFormRendererBase()`

Method Summary
`static void` | `addHiddenCommandParameter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent form, String paramName)`
`protected void` | `afterFormElementsEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called after the state and any elements are added to the form tag in the encodeEnd method
`protected void` | `afterFormElementsStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called after the state and any elements are added to the form tag in the encodeBegin method
`protected void` | `beforeFormElementsEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called before the state and any elements are added to the form tag in the encodeEnd method
`protected void` | `beforeFormElementsStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called before the state and any elements are added to the form tag in the encodeBegin method
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected String` | `getAcceptCharset(javax.faces.context.FacesContext facesContext, javax.faces.component.UIForm form)`
`protected String` | `getActionUrl(javax.faces.context.FacesContext facesContext, javax.faces.component.UIForm form)`
`protected String` | `getMethod(javax.faces.context.FacesContext facesContext, javax.faces.component.UIForm form)`
`static void` | `renderScrollHiddenInputIfNecessary(javax.faces.component.UIComponent form, javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeChildren, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlFormRendererBase

    public HtmlFormRendererBase()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Overrides:
    `encodeBegin` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### getActionUrl

    protected String getActionUrl(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIForm form)

### getMethod

    protected String getMethod(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIForm form)

### getAcceptCharset

    protected String getAcceptCharset(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIForm form)

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

### addHiddenCommandParameter

    public static void addHiddenCommandParameter(javax.faces.context.FacesContext facesContext,
                                                 javax.faces.component.UIComponent form,
                                                 String paramName)

### renderScrollHiddenInputIfNecessary

    public static void renderScrollHiddenInputIfNecessary(javax.faces.component.UIComponent form,
                                                          javax.faces.context.FacesContext facesContext,
                                                          javax.faces.context.ResponseWriter writer)
                                                   throws IOException

  Throws:
    `IOException`

### beforeFormElementsStart

    protected void beforeFormElementsStart(javax.faces.context.FacesContext facesContext,
                                           javax.faces.component.UIComponent component)
                                    throws IOException

  Called before the state and any elements are added to the form tag in the encodeBegin method

  Throws:
    `IOException`

### afterFormElementsStart

    protected void afterFormElementsStart(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component)
                                   throws IOException

  Called after the state and any elements are added to the form tag in the encodeBegin method

  Throws:
    `IOException`

### beforeFormElementsEnd

    protected void beforeFormElementsEnd(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIComponent component)
                                  throws IOException

  Called before the state and any elements are added to the form tag in the encodeEnd method

  Throws:
    `IOException`

### afterFormElementsEnd

    protected void afterFormElementsEnd(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)
                                 throws IOException

  Called after the state and any elements are added to the form tag in the encodeEnd method

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.